# xslt:format-number

xslt:format-number(numeric $value, string $picture) → string

Function signature

$value | xs:double ?
$picture | xs:string
Result | xs:string

Formats a number as specified by a picture string, using the default decimal format

XSLT 2.0 Specification

xslt:format-number(numeric $value, string $picture, string $decimal-format) → string

Function signature

$value | xs:double ?
$picture | xs:string
$decimal-format | xs:string
Result | xs:string

Formats a number as specified by a picture string, using a named decimal format

XSLT 2.0 Specification

Next